Package twisted :: Package im :: Module gtkchat :: Class Conversation

[show private | hide private]
[frames | no frames]

## Class Conversation

    InputOutputWindow --+
                        |
                       Conversation

GUI representation of a conversation.

Method Summary
| `__init__(self, person)`
| `getCurrentWord(self, entry)` (inherited from `InputOutputWindow`)
| `getTitle(self)`
| `handle_key_press_event(self, entry, event)` (inherited from `InputOutputWindow`)
| `hidden(self, w)` (inherited from `InputOutputWindow`)
| `hide(self)` (inherited from `InputOutputWindow`)
| `historyDown(self)` (inherited from `InputOutputWindow`)
| `historyUp(self)` (inherited from `InputOutputWindow`)
| `sendText(self, text)`
| `show(self)` (inherited from `InputOutputWindow`)
| `showMessage(self, text, metadata)`
| ``tabComplete`(self, word)` Override me to implement tab completion for your window, I should return a list of potential matches. (inherited from `InputOutputWindow`)

Generated by Epydoc 1.1 on Thu May 8 13:16:25 2003 | http://epydoc.sf.net